body, html {
  height: 100%;
  font-size: 1rem;
}

a,
.dropdown-title,
.select2-selection:focus-visible,
.btn-primary {
  &:focus-visible {
    outline: 2px double $focus-color !important;
    outline-offset: 2px;
    transition: outline 0.15s !important;
    transition-property: color;
  }
}

.btn-link {
    text-decoration: none;
    &:hover {
        text-decoration: underline;
    }
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
  color: var(--xs-pri-400);
}

#body {
  display: flex;
  flex-direction: column;
  font-family: var(--xs-font-family);
  --font-family: var(--xs-font-family);
  --placeholder-color: var(--bs-gray-800);
}

.form-control::placeholder {
  color: var(--placeholder-color);
  opacity: 1;
}

:-ms-input-placeholder { /* Internet Explorer 10-11, Microsoft Edge */
  color: var(--bs-gray-600);
}

i.fa-solid.fa-lock {
  color: var(--xs-pri-400);
}

a {
  color: var(--xs-thi-400);
  text-decoration: underline;
  transition: .3s;
  transition-property: color;

  &:hover,
  &:focus,
  &:active {
    color: var(--xs-pri-600);
  }

  &.button.button--danger {
    color: $white;
    text-decoration: none;
  }

  &.dropdown-item {
    &:hover,
    &:focus,
    &:active {
      background-color: var(--bs-gray-200);
    }
  }
}

.container {
  flex: 1 0 auto;
}

.footer, .footer-copyright {
  flex-shrink: 0;
}

.login-actions-container {
  display: flex;
  justify-content: space-between;
  align-items: baseline;

  .user-action-link {
    font-size: 0.85em
  }
}

.welcome-message {
  @include breakpoint($sm) {
    display: flex;
    flex-direction: row-reverse;
  }

  @include media-breakpoint-up(lg) {
    .top-right-image {
      border-radius: 0 5px 5px 0;
    }
  }
  gap: 1rem;
  margin-bottom: 3rem;
  background: var(--bs-gray-100);
  border-radius: 5px;
  box-shadow: 4px 6px 5px 0 var(--bs-gray-400) !important;
  padding: 20px;

  h1, h1 span {
    color: var(--bs-body-color);
  }

  h2 {
    margin-bottom: 30px;
  }

  & > * {
    @include breakpoint($sm) {
      width: 60%;
    }
    margin: 0;
  }

  & > p {
    @include breakpoint($sm) {
      width: 40%;
    }

    img {
      max-width: 100%;
      max-height: none;
      margin-bottom: 1rem;
      @include breakpoint($sm) {
        margin-bottom: 0;
      }
    }
  }
}

.dropdown.no-padding {
  padding: 0;
}

.dropdown-menu {
  border-radius: 0;
}

.navbar-brand img {
  height: 100px !important;
}

.breadcrumb {
  margin-top: 10px;
}

.autocomplete__search-button {
  right: 10px;
  top: calc(50% - 13px);
}

.complex-table {
  margin-left: 10px !important;
}

.logo-labeled {
  filter: none !important;
}

.chip-row a {
  text-decoration: none;
}

.complex-table {
  margin-left: 10px !important;
}

.logo-labeled {
  filter: none !important;
}

.chip-row {
  display: inline-block !important;
  a {
    text-decoration: none !important;
  }
}

.nav-link {
  font-size: 1rem;
  display: block;
  padding: 0.5rem 1rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
  margin: 0 1.1875rem
}

.navbar-nav {
  .nav-link {
    padding-right:0;
    padding-left:0;
  }
}

.chip {
  display: inline-block;
  height: 32px;
  padding: 0 8px;
  margin-bottom: 1rem;
  font-size: 13px;
  font-weight: 500;
  line-height: 32px;
  color: $black;
  cursor: pointer;
  background-color: var(--bs-gray-100);
  border-radius: 0.25rem;
  transition: 0.25s;
  transition-property: background-color, color;
  box-shadow: 1px 1px 3px 0 var(--bs-gray-400);
  margin-right: 10px;

  &:hover {
    background-color: var(--xs-sec-600);
  }
}

.chip:hover {
  background: #e5e5e5;
}

.chip.donl-chip {
  background-color: rgb(229, 241, 249);

  img {
    width: inherit;
    height: inherit;
    margin-right: -5px;
  }
}

.badge {
  color: $white;
  background-color: var(--xs-pri-400);
  border-radius: 0;
  transition: 0.25s;
  transition-property: background-color, color;
}

.region-content .alert {
  margin-top: 19px;
}

.info-block dl {
  word-break: break-word;
}

.dataset-details-sidebar {
  padding-left: 0;
  padding-right: 0;

  .dropdown button {
    box-shadow: 4px 6px 5px 0 var(--bs-gray-400);
    margin-bottom: 0.5rem;
  }

  .dropdown-menu {
    border-radius: 5px;
  }
}

.mt-10 {
  margin-top: 6rem !important;
}

.mobile-separation {
  display: none;
}

.hamburger {
  display: flex;
  flex-direction: column;
  width: 30px;
}

.hamburger .line {
  width: 100%;
  height: 4px;
  margin-top: 3px;
  margin-bottom: 3px;
}

span.mdi {
  display: inline-block;
  line-height: 1;
}

form.node-webpage-form {
  margin: 0;
}

i.fa-solid.fa-fw {
  &[data-label='Document type'], &[data-label='Documentsoort'] {
    color: blueviolet;

    &::after {
      // fa-solid fa-box-archive
      content: '\F187';
    }
  }
  &[data-label='Type'] {
    color: black;

    &::after {
      // fa-solid fa-layer-group
      content: '\F5FD';
    }
  }
  &[data-label='Bronhouder'], &[data-label='Maintainer'] {
    color: #5F9B3C;

    &::after {
      // fa-solid fa-people-group
      content: '\E533';
    }
  }
  &[data-label='Status'] {
    color: midnightblue;

    &::after {
      // fa-solid fa-heart-pulse
      content: '\F21E';
    }
  }
  &[data-label='Openbaarheidsniveau'], &[data-label='Disclosure level'] {
    &[data-value='Niet Publiek'], &[data-value='Not Public'] {
      color: #c00;

      &::after {
        // fa-solid fa-lock
        content: '\F023';
      }
    }
    &[data-value='Publiek'], &[data-value='Public'] {
      color: darkgreen;
    }
    color: darkorange;

    &::after {
      // fa-solid fa-lock-open
      content: '\F3C1';
    }
  }
  &[data-label='Licentie'], &[data-label='License'] {
    color: lightslategray;

    &::after {
      // fa-solid fa-scale-balanced
      content: '\F24E';
    }
  }
  &[data-label='Thema'], &[data-label='Theme'] {
    color: darkcyan;

    &::after {
      // fa-solid fa-tag
      content: '\F02B';
    }
  }
  &[data-label='Updatefrequentie van de data'], &[data-label='Update frequency of the data'] {
    color: #a81040;

    &::after {
      // fa-solid fa-wave-square
      content: '\F83E';
    }
  }
  &[data-label='Bestandsformaat'], &[data-label='Format'] {
    color: darkgreen;

    &::after {
      // fa-solid fa-file
      content: '\F15B';
    }
  }
  &[data-label='Trefwoord'], &[data-label='Keyword'] {
    color: #5e2ca5;

    &::after {
      // fa-solid fa-tags
      content: '\F02C';
    }
  }
  &[data-label='Classificaties'], &[data-label='Classifications'], &[data-label='Information category'], &[data-label='Informatiecategorie'] {
    color: darkblue;

    &::after {
      // fa-solid fa-tags
      content: '\F02C';
    }
  }
  &[data-label='Naam'], &[data-label='Name'] {
    color: darkgreen;

    &::after {
      // fa-solid fa-address-card
      content: '\F2BB';
    }
  }
  &[data-label='Beschikbaar sinds'], &[data-label='Available since'] {
    color: darkslateblue;

    &::after {
      // fa-solid fa-calendar-days
      content: '\F073';
    }
  }
  &[data-label='Publicatiedatum'], &[data-label='Publication date'] {
    color: #4A9FC4;

    &::after {
      // fa-solid fa-calendar-days
      content: '\F073';
    }
  }
  &[data-label='E-mail'], &[data-label='Email'] {
    color: royalblue;

    &::after {
      // fa-solid fa-envelope
      content: '\F0E0';
    }
  }
  &[data-label='Dataset'] {
    color: black;

    &::after {
      // fa-solid fa-database
      content: '\F1C0';
    }
  }
  &[data-label='woo_document'] {
    color: black;

    &::after {
      // fa-solid fa-file
      content: '\F15B';
    }
  }
  &[data-label='woo_dossier'], &[data-label='Dossier'] {
    color: black;

    &::after {
      // fa-solid fa-folder-open
      content: '\F07C';
    }
  }
  &[data-label='Refresh'], &[data-label='Verversen'] {
    color: royalblue;

    &::after {
      // fa-solid fa-rotate
      content: '\F2F1';
    }
  }
  &[data-label='Type of action'], &[data-label='Soort handeling'] {
    color: DodgerBlue;

    &::after {
      // fa-solid fa-file-circle-exclamation
      content: '\E4EB';
    }
  }
  &[data-label='Date of action'], &[data-label='Datum handeling'] {
    color: Indigo;

    &::after {
      // fa-solid fa-calendar-day
      content: '\F783';
    }
  }
  &[data-label='Identification number source system'], &[data-label='Identificatienummer bronsysteem'] {
    color: seagreen;

    &::after {
      // fa-solid fa-passport
      content: '\F5AB';
    }
  }
  &::after {
    font-family: 'Font Awesome 6 Free';
    font-style: normal;
  }
}

.database::after, .dataset::after {
  // fa-solid fa-database
  content: '\F1C0';
}

.add-page::after {
  // fa-solid fa-file-circle-plus
  content: '\E494';
}

.document::after, .woo_document::after {
  // fa-solid fa-file
  content: '\F15B';
}

.dossier::after, .woo_dossier::after {
  // fa-solid fa-folder-open
  content: '\F07C';
}

li.private a::after {
  content: "\f023";
  font-family: "Font Awesome 6 Free";
  margin-left: 5px;
  color: var(--xs-pri-400);
}

li[data-suggestion-type] a::before {
  font-family: "Font Awesome 6 Free";
  margin-right: 5px;
  width: 18px;
  display: inline-block;
  color: var(--xs-pri-400);
}

li[data-suggestion-type="dataset"] a::before {
  content: "\f1c0";
}

li[data-suggestion-type="woo_document"] a::before {
  content: "\f15b";
}

li[data-suggestion-type="woo_dossier"] a::before {
  content: "\f07c";
}

.mlt .placeholder {
  border-radius: 5px;
}

.block-xs-general-admin-controls-block {
  position: sticky;
  bottom: 0;
  pointer-events: none;

  .empty-container {
    margin-top: 3rem;
  }

  .horizontal-collapse {
    overflow: hidden;
    padding-bottom: 20px;
    position: relative;
    text-align: right;

    button.btn-floating.admin-controls-toggle {
      border: 0;
      border-radius: 50%;
      padding: 10px;
      margin: 4px 20px 4px 4px;
      font-size: 1.75rem;
      line-height: 2;
      position: relative;
      z-index: 1;
      transition: .5s;
      box-shadow: 0 2px 5px change-color($black, $alpha: 0.5);
      pointer-events: all;
      transition-property: background-color, color;
      background-color: var(--xs-pri-400);

      span.admin-controls-toggle-icon {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 35px;
        height: 35px;
        margin: 1px 0 0 1px;
        color: $white;
        transition: 0.5s;
        transition-property: background-color, color;
        border-radius: 50%;
      }

      &:focus {
        outline: 1px dotted;
        outline: 5px auto -webkit-focus-ring-color;
      }

      &.opened {
        background-color: var(--xs-pri-600);
      }
    }

    .collapse-horizontal.admin-controls-banner {
      color: $white;
      margin: 0;
      padding-left: 10px;
      position: absolute;
      right: -100%;
      top: 10px;
      transform: translateX(0);
      padding-right: 20px;
      list-style: none;
      height: 44px;
      box-shadow: 0 2px 5px change-color($black, $alpha: 0.5);
      border-radius: 25px 0 0 25px;
      transition: 0.5s;
      transition-property: background-color, color, right;
      pointer-events: all;
      background-color: var(--xs-pri-400);

      li:not(.btn-floating-wrapper, .text):hover, li a:focus {
        background-color: var(--xs-pri-600);
      }

      li {
        display: inline-block;
        line-height: 44px;
        min-width: 44px;
        transition: .5s;
        transition-property: background-color, color;
        text-align: center;
        padding-left: 5px;
        padding-right: 5px;

        &.btn-floating-wrapper {
          margin-right: 20px;
        }

        a {
          height: 100%;
          width: 100%;
          text-align: center;
          text-decoration: none;
          color: $white;
          display: flex;
          justify-content: center;
          align-items: center;
          gap: 5px;

          &:hover {
            text-decoration: underline;
          }

          span {
            color: $white;
          }
        }
      }
    }
  }
}

@include media-breakpoint-down(lg) {
  .welcome-message .top-right-image {
    width: 100%;
    height: auto;
  }

  .mobile-separation {
    display: block;
    margin-top: 20px;
    margin-bottom: 20px;
    box-sizing: border-box;
  }
}

@include media-breakpoint-up(xl) {
  h1 {
    font-size: 2rem;
  }
  .welcome-message .top-right-image {
    width: 500px;
  }
}

@keyframes turn-cog-wheel {
  from {
    transform: rotate(180deg);
  }
  to {
    transform: rotate(0);
  }
}
